--- old/usr/src/man/man1/ssh-socks5-proxy-connect.sunssh.1	Tue Aug 16 19:27:18 2016
+++ /dev/null	Tue Aug 16 19:26:53 2016
@@ -1,202 +0,0 @@
-'\" te
-.\" Copyright (c) 2002, Sun Microsystems, Inc.  All Rights Reserved
-.\" The contents of this file are subject to the terms of the Common Development and Distribution License (the "License").  You may not use this file except in compliance with the License.
-.\" You can obtain a copy of the license at usr/src/OPENSOLARIS.LICENSE or http://www.opensolaris.org/os/licensing.  See the License for the specific language governing permissions and limitations under the License.
-.\" When distributing Covered Code, include this CDDL HEADER in each file and include the License file at usr/src/OPENSOLARIS.LICENSE.  If applicable, add the following below this CDDL HEADER, with the fields enclosed by brackets "[]" replaced with your own identifying information: Portions Copyright [yyyy] [name of copyright owner]
-.TH SSH-SOCKS5-PROXY-CONNECT 1 "Oct 30, 2002"
-.SH NAME
-ssh-socks5-proxy-connect \- Secure Shell proxy for SOCKS5
-.SH SYNOPSIS
-.LP
-.nf
-\fB/usr/lib/ssh/ssh-socks5-proxy-connect\fR
-     [\fB-h\fR \fIsocks5_proxy_host\fR]
-     [\fB-p\fR \fIsocks5_proxy_port\fR] \fIconnect_host\fR \fIconnect_port\fR
-.fi
-
-.SH DESCRIPTION
-.LP
-A proxy command for \fBssh\fR(1) that uses SOCKS5 (RFC 1928). Typical use is
-where connections external to a network are only allowed via a socks gateway
-server.
-.sp
-.LP
-This proxy command does not provide any of the SOCKS5 authentication mechanisms
-defined in RFC 1928. Only anonymous connections are possible.
-.SH OPTIONS
-.LP
-The following options are supported:
-.sp
-.ne 2
-.na
-\fB\fB-h\fR \fIsocks5_proxy_host\fR\fR
-.ad
-.RS 24n
-Specifies the proxy web server through which to connect. Overrides the
-\fBSOCKS5_SERVER\fR environment variable.
-.RE
-
-.sp
-.ne 2
-.na
-\fB\fB-p\fR \fIsocks5_proxy_port\fR\fR
-.ad
-.RS 24n
-Specifies the port on which the proxy web server runs. If not specified, port
-80 is assumed. Overrides the \fBSOCKS5_PORT\fR environment variable.
-.RE
-
-.SH OPERANDS
-.LP
-The following operands are supported:
-.sp
-.ne 2
-.na
-\fB\fIsocks5_proxy_host\fR\fR
-.ad
-.RS 21n
-The host name or IP address (IPv4 or IPv6) of the proxy.
-.RE
-
-.sp
-.ne 2
-.na
-\fB\fIsocks5_proxy_port\fR\fR
-.ad
-.RS 21n
-The numeric port number to connect to on \fIsocks5_proxy_host\fR.
-.RE
-
-.sp
-.ne 2
-.na
-\fB\fIconnect_host\fR\fR
-.ad
-.RS 21n
-The name of the remote host to which the socks gateway is to connect you.
-.RE
-
-.sp
-.ne 2
-.na
-\fB\fIconnect_port\fR\fR
-.ad
-.RS 21n
-The numeric port number of the socks gateway to connect you to on
-\fIconnect_host\fR.
-.RE
-
-.SH EXAMPLES
-.LP
-The recommended way to use a proxy connection command is to configure the
-\fBProxyCommand\fR in \fBssh_config\fR(4) (see Example 1 and Example 2).
-Example 3 shows how the proxy command can be specified on the command line when
-running \fBssh\fR(1).
-.LP
-\fBExample 1 \fRSetting the proxy from the environment
-.sp
-.LP
-The following example uses \fBssh-socks5-proxy-connect\fR in
-\fBssh_config\fR(4) when the proxy is set from the environment:
-
-.sp
-.in +2
-.nf
-\fBHost playtime.foo.com
-    ProxyCommand /usr/lib/ssh/ssh-socks5-proxy-connect \e
-        playtime.foo.com 22\fR
-.fi
-.in -2
-.sp
-
-.LP
-\fBExample 2 \fROverriding proxy environment variables
-.sp
-.LP
-The following example uses \fBssh-socks5-proxy-connect\fR in
-\fBssh_config\fR(4) to override (or if not set) proxy environment variables:
-
-.sp
-.in +2
-.nf
-\fBHost playtime.foo.com
-    ProxyCommand /usr/lib/ssh/ssh-socks5-proxy-connect -h socks-gw \e
-        -p 1080 playtime.foo.com 22\fR
-.fi
-.in -2
-.sp
-
-.LP
-\fBExample 3 \fRUsing the command line
-.sp
-.LP
-The following example uses \fBssh-socks5-proxy-connect\fR from the \fBssh\fR(1)
-command line:
-
-.sp
-.in +2
-.nf
-example$ \fBssh -o'ProxyCommand=/usr/lib/ssh/ssh-socks5-proxy-connect \e
-    -h socks-gw -p 1080 playtime.foo.com 22' playtime.foo.com\fR
-.fi
-.in -2
-.sp
-
-.SH ENVIRONMENT VARIABLES
-.ne 2
-.na
-\fB\fBSOCKS5_SERVER\fR\fR
-.ad
-.RS 17n
-Takes \fIsocks5_proxy_host\fR operand to specify the default proxy host.
-.RE
-
-.sp
-.ne 2
-.na
-\fB\fBSOCKS5_PORT\fR\fR
-.ad
-.RS 17n
-Takes \fIsocks5_proxy_port \fR operand to specify the default proxy port.
-.RE
-
-.SH EXIT STATUS
-.LP
-The following exit values are returned:
-.sp
-.ne 2
-.na
-\fB\fB0\fR \fR
-.ad
-.RS 6n
-Successful completion.
-.RE
-
-.sp
-.ne 2
-.na
-\fB\fB1\fR \fR
-.ad
-.RS 6n
-An error occurred.
-.RE
-
-.SH ATTRIBUTES
-.LP
-See \fBattributes\fR(5) for descriptions of the following attributes:
-.sp
-
-.sp
-.TS
-box;
-c | c
-l | l .
-ATTRIBUTE TYPE	ATTRIBUTE VALUE
-_
-Interface Stability	Stable
-.TE
-
-.SH SEE ALSO
-.LP
-\fBssh\fR(1), \fBssh-http-proxy-connect\fR(1), \fBssh_config\fR(4),
-\fBattributes\fR(5)